PHP K�sikirja
Edellinen |  | Seuraava

# ctype_alpha

(PHP 4 >= 4.0.4, PHP 5)

ctype_alpha -- Check for alphabetic character(s)

## Description

bool ctype_alpha ( string text )

Checks if all of the characters in the provided string, text, are alphabetic. In the standard C locale letters are just [A-Za-z] and ctype_alpha() is equivalent to (ctype_upper($text) || ctype_lower($text)) if $text is just a single character, but other languages have letters that are considered neither upper nor lower case.

## Parameters

text

  The tested string.

## Return values

Returns `TRUE` if every character in text is a letter from the current locale, `FALSE` otherwise.

## Examples

Esimerkki 1. A ctype_alpha() example (using the default locale)

`<?php $strings = array('KjgWZC', 'arf12'); foreach ($strings as $testcase) { if (ctype_alpha($testcase)) { echo "The string $testcase consists of all letters.\n"; } else { echo "The string $testcase does not consist of all letters.\n"; } } ?>`

The above example will output:

    The string KjgWZC consists of all letters.
    The string arf12 does not consists of all letters.

## See Also

ctype_upper()
ctype_lower()
setlocale()

Edellinen | Alkuun | Seuraava
ctype_alnum | Ylös | ctype_cntrl